Bug 216624 - net/delegate: fails to build with clang 4.0
Summary: net/delegate: fails to build with clang 4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords: needs-patch
Depends on:
Blocks: 216008
  Show dependency treegraph
 
Reported: 2017-01-30 22:38 UTC by Jan Beich
Modified: 2017-03-12 13:55 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (danilo)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-01-30 22:38:18 UTC
env._.c:2083:8: error: ordered comparison between pointer and zero ('int' and 'char *')
        if( 0 <= esock ){
            ~ ^  ~~~~~

build log: http://package18.nyi.freebsd.org/data/headamd64PR216008-default/2017-01-29_16h09m05s/logs/errors/delegate-9.9.13.log
regressed by: https://github.com/llvm-mirror/clang/commit/4b6ad14285f3
Comment 1 Danilo Egea Gondolfo freebsd_committer 2017-02-11 20:25:09 UTC
Waiting for a reply from upstream.
Comment 2 commit-hook freebsd_committer 2017-03-06 01:30:49 UTC
A commit references this bug:

Author: danilo
Date: Mon Mar  6 01:30:40 UTC 2017
New revision: 435510
URL: https://svnweb.freebsd.org/changeset/ports/435510

Log:
  - Fix build with clang 4.0

  PR:		216624

Changes:
  head/net/delegate/files/patch-src_env.c
Comment 3 Danilo Egea Gondolfo freebsd_committer 2017-03-12 13:55:31 UTC
Fixed.